
Smart Proxy - Feature #3699

Smart-proxy should support proxying from chef-client to foreman

11/20/2013 11:12 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Romain Vrignaud   

Category: Plugins   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This feature add a chefproxy feature on smart-proxy.

It allows proxying for both facts (from Ohai) and reports (https://github.com/theforeman/chef-handler-foreman).

Smart-proxy is able to use chef-server api in order to check reports / facts signatures with chef-client private key.

Related to :

https://github.com/theforeman/smart-proxy/pull/112

https://github.com/theforeman/chef-handler-foreman/pull/4

https://github.com/theforeman/foreman/pull/983

Related issues:

Copied from Foreman - Feature #3658: Foreman should support Chef-enabled smar... Closed 11/15/2013

Associated revisions

Revision 4c2e7d8b - 11/20/2013 11:13 AM - Romain Vrignaud

fixes #3699 - chefproxy feature, proxies facts and reports to Foreman

Revision 860a2885 - 01/15/2014 01:47 PM - Romain Vrignaud 

refs #3699 - update settings.yml.example

Revision 9939aa79 - 01/16/2014 08:51 AM - Romain Vrignaud

refs #3699 - fix typo in chef_proxy's authentication, overriding wrong variable

Revision c1c0dee5 - 01/16/2014 08:52 AM - Marek Hulán

refs #3699 - combine paths when running Foreman under a prefix

History

#1 - 11/20/2013 11:12 AM - Dominic Cleal

- Copied from Feature #3658: Foreman should support Chef-enabled smart proxies added

#2 - 11/20/2013 11:12 AM - Dominic Cleal

- Status changed from New to Ready For Testing

#3 - 11/20/2013 11:52 AM - Romain Vrignaud

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4c2e7d8bc47475f9be5034a3afedd05dc7c2e2ae.
